
QGIS Application - Bug report #21832

can't set virtual fields length

2019-04-10 07:31 PM - Luiz Gastão Mavignier

Status: Closed

Priority: Normal

Assignee:

Category: Vectors

Affected QGIS version:3.6.1 Regression?: No

Operating System: Windows 7 Easy fix?: No

Pull Request or Patch supplied:No Resolution: invalid

Crashes QGIS or corrupts data:No Copied to github as #: 29647

Description

I'd like to report a bug when someone tries to create a virtual database field. Actually only works for whole number (integer) and for any

other types it's not possible indicate the length, main for field text. Though virtual database fields already created in previous versions

works well. 

It's happen for versions 3.4 (Madeira) and 3.6 (Noosa). In version Qgis 2.18 everything is ok.

History

#1 - 2019-04-10 08:05 PM - Giovanni Manghi

- Affected QGIS version changed from 3.4.6 to 3.6.1

- Status changed from Open to Feedback

- Category changed from QGIS Server to Vectors

- Subject changed from Virtual camps doesn't to can't set virtual fields length

It does not seem to be a block anyway... or is it? Does it prevent you to fill a virtual text field with the result of an expression?

#2 - 2019-04-11 01:19 PM - Luiz Gastão Mavignier

Your right! It's only diferent from the previous versions! I think I see the previous out wiht NULL and I didn't go ahead. But when I completed que steps. It

works well.  Thanks for your attention.

#3 - 2019-04-11 04:17 PM - Giovanni Manghi

- Status changed from Feedback to Closed

- Resolution set to invalid
